Network
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| GET | /v1/network | Network |
GET /v1/network
Network.
curl -s http://127.0.0.1:28332/v1/networkResponse 200 (application/json): NetworkInfo
| Field | Type | Required | Notes |
|---|---|---|---|
network | string | yes | |
p2p_port | integer | null | yes | may be null |
peers | PeerCounts | yes | |
transport | string | yes | |
user_agent | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: network_v1_network_get
Schemas
NetworkInfo
| Field | Type | Required | Notes |
|---|---|---|---|
network | string | yes | |
p2p_port | integer | null | yes | may be null |
peers | PeerCounts | yes | |
transport | string | yes | |
user_agent | string | yes |
Unknown fields may be added within v1; clients must ignore them.
PeerCounts
| Field | Type | Required | Notes |
|---|---|---|---|
inbound | integer | yes | |
outbound | integer | yes |
Unknown fields may be added within v1; clients must ignore them.